diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-frequency-reuse.cc ns-3.44/src/lte/test/lte-test-frequency-reuse.cc
--- ns-3.43/src/lte/test/lte-test-frequency-reuse.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-frequency-reuse.cc	2025-03-09 16:55:49.607372000 -0700
@@ -12,30 +12,30 @@
 #include "lte-ffr-simple.h"
 #include "lte-simple-spectrum-phy.h"
 
+#include "ns3/boolean.h"
+#include "ns3/callback.h"
+#include "ns3/config.h"
+#include "ns3/double.h"
+#include "ns3/enum.h"
+#include "ns3/ff-mac-scheduler.h"
 #include "ns3/internet-module.h"
+#include "ns3/log.h"
+#include "ns3/lte-common.h"
+#include "ns3/lte-enb-net-device.h"
+#include "ns3/lte-enb-phy.h"
+#include "ns3/lte-enb-rrc.h"
 #include "ns3/lte-helper.h"
+#include "ns3/lte-ue-net-device.h"
+#include "ns3/lte-ue-phy.h"
+#include "ns3/lte-ue-rrc.h"
 #include "ns3/mobility-helper.h"
 #include "ns3/packet-sink-helper.h"
 #include "ns3/point-to-point-epc-helper.h"
 #include "ns3/point-to-point-module.h"
+#include "ns3/pointer.h"
+#include "ns3/simulator.h"
+#include "ns3/string.h"
 #include "ns3/udp-client-server-helper.h"
-#include <ns3/boolean.h>
-#include <ns3/callback.h>
-#include <ns3/config.h>
-#include <ns3/double.h>
-#include <ns3/enum.h>
-#include <ns3/ff-mac-scheduler.h>
-#include <ns3/log.h>
-#include <ns3/lte-common.h>
-#include <ns3/lte-enb-net-device.h>
-#include <ns3/lte-enb-phy.h>
-#include <ns3/lte-enb-rrc.h>
-#include <ns3/lte-ue-net-device.h>
-#include <ns3/lte-ue-phy.h>
-#include <ns3/lte-ue-rrc.h>
-#include <ns3/pointer.h>
-#include <ns3/simulator.h>
-#include <ns3/string.h>
 
 using namespace ns3;
 
@@ -424,7 +424,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LteFrequencyReuseTestSuite lteFrequencyReuseTestSuite;
@@ -2112,7 +2112,7 @@
             NS_LOG_LOGIC("installing UDP DL app for UE " << u);
             UdpClientHelper dlClientHelper(ueIpIfaces.GetAddress(u), dlPort);
             dlClientHelper.SetAttribute("MaxPackets", UintegerValue(1000000));
-            dlClientHelper.SetAttribute("Interval", TimeValue(MilliSeconds(1.0)));
+            dlClientHelper.SetAttribute("Interval", TimeValue(MilliSeconds(1)));
             clientApps.Add(dlClientHelper.Install(remoteHost));
             PacketSinkHelper dlPacketSinkHelper("ns3::UdpSocketFactory",
                                                 InetSocketAddress(Ipv4Address::GetAny(), dlPort));
@@ -2121,7 +2121,7 @@
             NS_LOG_LOGIC("installing UDP UL app for UE " << u);
             UdpClientHelper ulClientHelper(remoteHostAddr, ulPort);
             ulClientHelper.SetAttribute("MaxPackets", UintegerValue(1000000));
-            ulClientHelper.SetAttribute("Interval", TimeValue(MilliSeconds(1.0)));
+            ulClientHelper.SetAttribute("Interval", TimeValue(MilliSeconds(1)));
             clientApps.Add(ulClientHelper.Install(ue));
             PacketSinkHelper ulPacketSinkHelper("ns3::UdpSocketFactory",
                                                 InetSocketAddress(Ipv4Address::GetAny(), ulPort));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-frequency-reuse.h ns-3.44/src/lte/test/lte-test-frequency-reuse.h
--- ns-3.43/src/lte/test/lte-test-frequency-reuse.h	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-frequency-reuse.h	2025-03-09 16:55:49.607372000 -0700
@@ -10,12 +10,12 @@
 #ifndef LTE_TEST_DOWNLINK_FR_H
 #define LTE_TEST_DOWNLINK_FR_H
 
+#include "ns3/lte-rrc-sap.h"
 #include "ns3/lte-spectrum-value-helper.h"
 #include "ns3/node.h"
 #include "ns3/spectrum-test.h"
 #include "ns3/spectrum-value.h"
 #include "ns3/test.h"
-#include <ns3/lte-rrc-sap.h>
 
 namespace ns3
 {
@@ -25,9 +25,9 @@
 using namespace ns3;
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test the fractional frequency reuse algorithms.
+ * @brief Test the fractional frequency reuse algorithms.
  */
 class LteFrequencyReuseTestSuite : public TestSuite
 {
@@ -36,9 +36,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test frequency reuse algorithm. Test fails if the muted frequencies
+ * @brief Test frequency reuse algorithm. Test fails if the muted frequencies
  *  are being used.
  */
 class LteFrTestCase : public TestCase
@@ -47,12 +47,12 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param userNum the number of UE nodes
-     * \param dlBandwidth the DL bandwidth
-     * \param ulBandwidth the UL bandwidth
-     * \param availableDlRb the available DL per RB
-     * \param availableUlRb the available UL per RB
+     * @param name the reference name
+     * @param userNum the number of UE nodes
+     * @param dlBandwidth the DL bandwidth
+     * @param ulBandwidth the UL bandwidth
+     * @param availableDlRb the available DL per RB
+     * @param availableUlRb the available UL per RB
      */
     LteFrTestCase(std::string name,
                   uint32_t userNum,
@@ -64,12 +64,12 @@
 
     /**
      * DL data receive start function
-     * \param spectrumValue the DL data receive spectrum value
+     * @param spectrumValue the DL data receive spectrum value
      */
     void DlDataRxStart(Ptr<const SpectrumValue> spectrumValue);
     /**
      * UL data receive start function
-     * \param spectrumValue the UL data receive spectrum value
+     * @param spectrumValue the UL data receive spectrum value
      */
     void UlDataRxStart(Ptr<const SpectrumValue> spectrumValue);
 
@@ -88,9 +88,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test hard frequency reuse algorithm. Test fails if the muted
+ * @brief Test hard frequency reuse algorithm. Test fails if the muted
  *  frequencies are being used.
  */
 class LteHardFrTestCase : public LteFrTestCase
@@ -99,17 +99,17 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param userNum the number of UE nodes
-     * \param schedulerType the scheduler type
-     * \param dlBandwidth the DL bandwidth
-     * \param ulBandwidth the UL bandwidth
-     * \param dlSubBandOffset DL subband offset
-     * \param dlSubBandwidth DL subbandwidth
-     * \param ulSubBandOffset UL subband offset
-     * \param ulSubBandwidth UL subbandwidth
-     * \param availableDlRb the available DL per RB
-     * \param availableUlRb the available UL per RB
+     * @param name the reference name
+     * @param userNum the number of UE nodes
+     * @param schedulerType the scheduler type
+     * @param dlBandwidth the DL bandwidth
+     * @param ulBandwidth the UL bandwidth
+     * @param dlSubBandOffset DL subband offset
+     * @param dlSubBandwidth DL subbandwidth
+     * @param ulSubBandOffset UL subband offset
+     * @param ulSubBandwidth UL subbandwidth
+     * @param availableDlRb the available DL per RB
+     * @param availableUlRb the available UL per RB
      */
     LteHardFrTestCase(std::string name,
                       uint32_t userNum,
@@ -137,9 +137,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test strict frequency reuse algorithm. Test fails if the muted frequencies
+ * @brief Test strict frequency reuse algorithm. Test fails if the muted frequencies
  *  are being used.
  */
 class LteStrictFrTestCase : public LteFrTestCase
@@ -148,19 +148,19 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param userNum the number of UE nodes
-     * \param schedulerType the scheduler type
-     * \param dlBandwidth the DL bandwidth
-     * \param ulBandwidth the UL bandwidth
-     * \param dlCommonSubBandwidth DL common bandwidth
-     * \param dlEdgeSubBandOffset DL edge subband offset
-     * \param dlEdgeSubBandwidth DL edge subbandwidth
-     * \param ulCommonSubBandwidth UL common subbandwidth
-     * \param ulEdgeSubBandOffset UL subband offset
-     * \param ulEdgeSubBandwidth UL subbandwidth
-     * \param availableDlRb the available DL per RB
-     * \param availableUlRb the available UL per RB
+     * @param name the reference name
+     * @param userNum the number of UE nodes
+     * @param schedulerType the scheduler type
+     * @param dlBandwidth the DL bandwidth
+     * @param ulBandwidth the UL bandwidth
+     * @param dlCommonSubBandwidth DL common bandwidth
+     * @param dlEdgeSubBandOffset DL edge subband offset
+     * @param dlEdgeSubBandwidth DL edge subbandwidth
+     * @param ulCommonSubBandwidth UL common subbandwidth
+     * @param ulEdgeSubBandOffset UL subband offset
+     * @param ulEdgeSubBandwidth UL subbandwidth
+     * @param availableDlRb the available DL per RB
+     * @param availableUlRb the available UL per RB
      */
     LteStrictFrTestCase(std::string name,
                         uint32_t userNum,
@@ -192,9 +192,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test frequency reuse algorithm by teleporting UEs to different
+ * @brief Test frequency reuse algorithm by teleporting UEs to different
  * parts of area and checking if the frequency is used according to the
  * frequency pattern for different parts of area. Test fails if the muted
  * frequencies for a given part of area are being used by UE.
@@ -205,44 +205,44 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param schedulerType the scheduler type
+     * @param name the reference name
+     * @param schedulerType the scheduler type
      */
     LteFrAreaTestCase(std::string name, std::string schedulerType);
     ~LteFrAreaTestCase() override;
 
     /**
      * DL data receive start function
-     * \param spectrumValue the DL receive spectrum value
+     * @param spectrumValue the DL receive spectrum value
      */
     void DlDataRxStart(Ptr<const SpectrumValue> spectrumValue);
     /**
      * UL data receive start function
-     * \param spectrumValue the UL receive spectrum value
+     * @param spectrumValue the UL receive spectrum value
      */
     void UlDataRxStart(Ptr<const SpectrumValue> spectrumValue);
 
     /**
      * Simple teleport UE function
-     * \param x the X position
-     * \param y the Y position
+     * @param x the X position
+     * @param y the Y position
      */
     void SimpleTeleportUe(uint32_t x, uint32_t y);
     /**
      * Teleport UE function
-     * \param x the X position
-     * \param y the Y position
-     * \param expectedPower the expected power
-     * \param expectedDlRb the expected DL pwr RB
+     * @param x the X position
+     * @param y the Y position
+     * @param expectedPower the expected power
+     * @param expectedDlRb the expected DL pwr RB
      */
     void TeleportUe(uint32_t x, uint32_t y, double expectedPower, std::vector<bool> expectedDlRb);
     /**
      * Teleport UE 2 function
-     * \param ueNode the UE node
-     * \param x the X position
-     * \param y the Y position
-     * \param expectedPower the expected power
-     * \param expectedDlRb the expected DL pwr RB
+     * @param ueNode the UE node
+     * @param x the X position
+     * @param y the Y position
+     * @param expectedPower the expected power
+     * @param expectedDlRb the expected DL pwr RB
      */
     void TeleportUe2(Ptr<Node> ueNode,
                      uint32_t x,
@@ -252,14 +252,14 @@
 
     /**
      * Set DL expected values function
-     * \param expectedPower the expected power
-     * \param expectedDlRb the expected DL pwr RB
+     * @param expectedPower the expected power
+     * @param expectedDlRb the expected DL pwr RB
      */
     void SetDlExpectedValues(double expectedPower, std::vector<bool> expectedDlRb);
     /**
      * Set UL expected values function
-     * \param expectedPower the expected power
-     * \param expectedDlRb the expected DL pwr RB
+     * @param expectedPower the expected power
+     * @param expectedDlRb the expected DL pwr RB
      */
     void SetUlExpectedValues(double expectedPower, std::vector<bool> expectedDlRb);
 
@@ -286,9 +286,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lte Fr Area Test Case
+ * @brief Lte Fr Area Test Case
  */
 class LteStrictFrAreaTestCase : public LteFrAreaTestCase
 {
@@ -296,8 +296,8 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param schedulerType the scheduler type
+     * @param name the reference name
+     * @param schedulerType the scheduler type
      */
     LteStrictFrAreaTestCase(std::string name, std::string schedulerType);
     ~LteStrictFrAreaTestCase() override;
@@ -307,9 +307,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lte Soft Fr Area Test Case
+ * @brief Lte Soft Fr Area Test Case
  */
 class LteSoftFrAreaTestCase : public LteFrAreaTestCase
 {
@@ -317,8 +317,8 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param schedulerType the scheduler type
+     * @param name the reference name
+     * @param schedulerType the scheduler type
      */
     LteSoftFrAreaTestCase(std::string name, std::string schedulerType);
     ~LteSoftFrAreaTestCase() override;
@@ -328,9 +328,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lte Soft Ffr Area Test Case
+ * @brief Lte Soft Ffr Area Test Case
  */
 class LteSoftFfrAreaTestCase : public LteFrAreaTestCase
 {
@@ -338,8 +338,8 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param schedulerType the scheduler type
+     * @param name the reference name
+     * @param schedulerType the scheduler type
      */
     LteSoftFfrAreaTestCase(std::string name, std::string schedulerType);
     ~LteSoftFfrAreaTestCase() override;
@@ -349,9 +349,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lte Enhanced Ffr Area Test Case
+ * @brief Lte Enhanced Ffr Area Test Case
  */
 class LteEnhancedFfrAreaTestCase : public LteFrAreaTestCase
 {
@@ -359,8 +359,8 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param schedulerType the scheduler type
+     * @param name the reference name
+     * @param schedulerType the scheduler type
      */
     LteEnhancedFfrAreaTestCase(std::string name, std::string schedulerType);
     ~LteEnhancedFfrAreaTestCase() override;
@@ -370,9 +370,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lte Distributed Ffr Area Test Case
+ * @brief Lte Distributed Ffr Area Test Case
  */
 class LteDistributedFfrAreaTestCase : public LteFrAreaTestCase
 {
@@ -380,8 +380,8 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param schedulerType the scheduler type
+     * @param name the reference name
+     * @param schedulerType the scheduler type
      */
     LteDistributedFfrAreaTestCase(std::string name, std::string schedulerType);
     ~LteDistributedFfrAreaTestCase() override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-harq.cc ns-3.44/src/lte/test/lte-test-harq.cc
--- ns-3.43/src/lte/test/lte-test-harq.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-harq.cc	2025-03-09 16:55:49.607372000 -0700
@@ -8,34 +8,34 @@
 
 #include "lte-test-harq.h"
 
-#include <ns3/boolean.h>
-#include <ns3/buildings-helper.h>
-#include <ns3/config.h>
-#include <ns3/double.h>
-#include <ns3/enum.h>
-#include <ns3/eps-bearer.h>
-#include <ns3/ff-mac-scheduler.h>
-#include <ns3/hybrid-buildings-propagation-loss-model.h>
-#include <ns3/log.h>
-#include <ns3/lte-enb-net-device.h>
-#include <ns3/lte-enb-phy.h>
-#include <ns3/lte-helper.h>
-#include <ns3/lte-ue-net-device.h>
-#include <ns3/lte-ue-phy.h>
-#include <ns3/lte-ue-rrc.h>
-#include <ns3/mobility-building-info.h>
-#include <ns3/mobility-helper.h>
-#include <ns3/net-device-container.h>
-#include <ns3/node-container.h>
-#include <ns3/object.h>
-#include <ns3/packet.h>
-#include <ns3/ptr.h>
-#include <ns3/radio-bearer-stats-calculator.h>
-#include <ns3/simulator.h>
-#include <ns3/spectrum-error-model.h>
-#include <ns3/spectrum-interference.h>
-#include <ns3/string.h>
-#include <ns3/test.h>
+#include "ns3/boolean.h"
+#include "ns3/buildings-helper.h"
+#include "ns3/config.h"
+#include "ns3/double.h"
+#include "ns3/enum.h"
+#include "ns3/eps-bearer.h"
+#include "ns3/ff-mac-scheduler.h"
+#include "ns3/hybrid-buildings-propagation-loss-model.h"
+#include "ns3/log.h"
+#include "ns3/lte-enb-net-device.h"
+#include "ns3/lte-enb-phy.h"
+#include "ns3/lte-helper.h"
+#include "ns3/lte-ue-net-device.h"
+#include "ns3/lte-ue-phy.h"
+#include "ns3/lte-ue-rrc.h"
+#include "ns3/mobility-building-info.h"
+#include "ns3/mobility-helper.h"
+#include "ns3/net-device-container.h"
+#include "ns3/node-container.h"
+#include "ns3/object.h"
+#include "ns3/packet.h"
+#include "ns3/ptr.h"
+#include "ns3/radio-bearer-stats-calculator.h"
+#include "ns3/simulator.h"
+#include "ns3/spectrum-error-model.h"
+#include "ns3/spectrum-interference.h"
+#include "ns3/string.h"
+#include "ns3/test.h"
 
 #include <cmath>
 #include <iostream>
@@ -63,7 +63,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LenaTestHarqSuite lenaTestHarqSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-harq.h ns-3.44/src/lte/test/lte-test-harq.h
--- ns-3.43/src/lte/test/lte-test-harq.h	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-harq.h	2025-03-09 16:55:49.607372000 -0700
@@ -15,9 +15,9 @@
 using namespace ns3;
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief This system test program creates different test cases with a single eNB and
+ * @brief This system test program creates different test cases with a single eNB and
  * several UEs, all having the same Radio Bearer specification. In each test
  * case, the UEs see the same SINR from the eNB; different test cases are
  * implemented obtained by using different SINR values and different numbers of
@@ -29,11 +29,11 @@
     /**
      * Constructor
      *
-     * \param nUser the number of UE nodes
-     * \param dist the distance between n odes
-     * \param tbSize
-     * \param amcBer the AMC bit error rate
-     * \param thrRef the throughput reference
+     * @param nUser the number of UE nodes
+     * @param dist the distance between n odes
+     * @param tbSize
+     * @param amcBer the AMC bit error rate
+     * @param thrRef the throughput reference
      */
     LenaHarqTestCase(uint16_t nUser, uint16_t dist, uint16_t tbSize, double amcBer, double thrRef);
     ~LenaHarqTestCase() override;
@@ -43,10 +43,10 @@
     /**
      * Build name string function
      *
-     * \param nUser number of UE nodes
-     * \param dist distance between nodes
-     * \param tbSize
-     * \returns name string
+     * @param nUser number of UE nodes
+     * @param dist distance between nodes
+     * @param tbSize
+     * @returns name string
      */
     static std::string BuildNameString(uint16_t nUser, uint16_t dist, uint16_t tbSize);
     uint16_t m_nUser;       ///< number of UE nodes
@@ -56,9 +56,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test suite for harq test.
+ * @brief Test suite for harq test.
  */
 
 class LenaTestHarqSuite : public TestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-interference.cc ns-3.44/src/lte/test/lte-test-interference.cc
--- ns-3.43/src/lte/test/lte-test-interference.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-interference.cc	2025-03-09 16:55:49.611372000 -0700
@@ -11,8 +11,10 @@
 
 #include "ns3/boolean.h"
 #include "ns3/double.h"
+#include "ns3/enum.h"
 #include "ns3/ff-mac-scheduler.h"
 #include "ns3/log.h"
+#include "ns3/lte-chunk-processor.h"
 #include "ns3/lte-enb-net-device.h"
 #include "ns3/lte-enb-phy.h"
 #include "ns3/lte-helper.h"
@@ -21,8 +23,6 @@
 #include "ns3/mobility-helper.h"
 #include "ns3/simulator.h"
 #include "ns3/string.h"
-#include <ns3/enum.h>
-#include <ns3/lte-chunk-processor.h>
 
 using namespace ns3;
 
@@ -177,7 +177,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LteInterferenceTestSuite lteLinkAdaptationWithInterferenceTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-interference-fr.cc ns-3.44/src/lte/test/lte-test-interference-fr.cc
--- ns-3.43/src/lte/test/lte-test-interference-fr.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-interference-fr.cc	2025-03-09 16:55:49.607372000 -0700
@@ -15,8 +15,10 @@
 
 #include "ns3/boolean.h"
 #include "ns3/double.h"
+#include "ns3/enum.h"
 #include "ns3/ff-mac-scheduler.h"
 #include "ns3/log.h"
+#include "ns3/lte-chunk-processor.h"
 #include "ns3/lte-enb-net-device.h"
 #include "ns3/lte-enb-phy.h"
 #include "ns3/lte-helper.h"
@@ -24,12 +26,10 @@
 #include "ns3/lte-ue-net-device.h"
 #include "ns3/lte-ue-phy.h"
 #include "ns3/mobility-helper.h"
+#include "ns3/pointer.h"
 #include "ns3/simulator.h"
 #include "ns3/spectrum-value.h"
 #include "ns3/string.h"
-#include <ns3/enum.h>
-#include <ns3/lte-chunk-processor.h>
-#include <ns3/pointer.h>
 
 using namespace ns3;
 
@@ -109,7 +109,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LteInterferenceFrTestSuite LteInterferenceFrTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-interference-fr.h ns-3.44/src/lte/test/lte-test-interference-fr.h
--- ns-3.43/src/lte/test/lte-test-interference-fr.h	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-interference-fr.h	2025-03-09 16:55:49.607372000 -0700
@@ -17,10 +17,10 @@
 using namespace ns3;
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test suite for the interference test when using different
- * frequency reuse algorithms.Check if the interfence values correspond to
+ * @brief Test suite for the interference test when using different
+ * frequency reuse algorithms.Check if the interference values correspond to
  * theoretical values.
  */
 class LteInterferenceFrTestSuite : public TestSuite
@@ -30,10 +30,10 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lte interference test when using hard frequency reuse algorithm. Check
- * if the interfence values correspond to theoretical values.
+ * @brief Lte interference test when using hard frequency reuse algorithm. Check
+ * if the interference values correspond to theoretical values.
  */
 class LteInterferenceHardFrTestCase : public TestCase
 {
@@ -41,11 +41,11 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param d1 distance between ENB and UE
-     * \param d2 distance between ENB and other UE
-     * \param dlSinr the DL SINR
-     * \param ulSinr the UL SINR
+     * @param name the reference name
+     * @param d1 distance between ENB and UE
+     * @param d2 distance between ENB and other UE
+     * @param dlSinr the DL SINR
+     * @param ulSinr the UL SINR
      */
     LteInterferenceHardFrTestCase(std::string name,
                                   double d1,
@@ -63,9 +63,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lte interference test when using strict frequency reuse algorithm.
+ * @brief Lte interference test when using strict frequency reuse algorithm.
  */
 class LteInterferenceStrictFrTestCase : public TestCase
 {
@@ -73,14 +73,14 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param d1 distance between ENB and UE
-     * \param d2 distance between ENB and other UE
-     * \param commonDlSinr the DL SINR
-     * \param commonUlSinr the UL SINR
-     * \param edgeDlSinr the DL SINR
-     * \param edgeUlSinr the UL SINR
-     * \param rspqThreshold RSPQ threshold
+     * @param name the reference name
+     * @param d1 distance between ENB and UE
+     * @param d2 distance between ENB and other UE
+     * @param commonDlSinr the DL SINR
+     * @param commonUlSinr the UL SINR
+     * @param edgeDlSinr the DL SINR
+     * @param edgeUlSinr the UL SINR
+     * @param rspqThreshold RSPQ threshold
      */
     LteInterferenceStrictFrTestCase(std::string name,
                                     double d1,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-interference.h ns-3.44/src/lte/test/lte-test-interference.h
--- ns-3.43/src/lte/test/lte-test-interference.h	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-interference.h	2025-03-09 16:55:49.611372000 -0700
@@ -16,9 +16,9 @@
 using namespace ns3;
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test suite for interference test.
+ * @brief Test suite for interference test.
  */
 class LteInterferenceTestSuite : public TestSuite
 {
@@ -27,9 +27,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test that SINR calculation and MCS selection works fine in a
+ * @brief Test that SINR calculation and MCS selection works fine in a
  * multi-cell interference scenario.
  */
 class LteInterferenceTestCase : public TestCase
@@ -38,15 +38,15 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param d1 distance between ENB and UE
-     * \param d2 distance between ENB and other UE
-     * \param dlSinr the DL SINR
-     * \param ulSinr the UL SINR
-     * \param dlSe the DL se
-     * \param ulSe the UL se
-     * \param dlMcs the DL MCS
-     * \param ulMcs the UL MCS
+     * @param name the reference name
+     * @param d1 distance between ENB and UE
+     * @param d2 distance between ENB and other UE
+     * @param dlSinr the DL SINR
+     * @param ulSinr the UL SINR
+     * @param dlSe the DL se
+     * @param ulSe the UL se
+     * @param dlMcs the DL MCS
+     * @param ulMcs the UL MCS
      */
     LteInterferenceTestCase(std::string name,
                             double d1,
@@ -61,17 +61,17 @@
 
     /**
      * DL scheduling function
-     * \param dlInfo the DL info
+     * @param dlInfo the DL info
      */
     void DlScheduling(DlSchedulingCallbackInfo dlInfo);
 
     /**
      * UL scheduling function
-     * \param frameNo the frame number
-     * \param subframeNo the subframe number
-     * \param rnti the RNTI
-     * \param mcs the MCS
-     * \param sizeTb
+     * @param frameNo the frame number
+     * @param subframeNo the subframe number
+     * @param rnti the RNTI
+     * @param mcs the MCS
+     * @param sizeTb
      */
     void UlScheduling(uint32_t frameNo,
                       uint32_t subframeNo,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-ipv6-routing.cc ns-3.44/src/lte/test/lte-test-ipv6-routing.cc
--- ns-3.43/src/lte/test/lte-test-ipv6-routing.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-ipv6-routing.cc	2025-03-09 16:55:49.611372000 -0700
@@ -39,9 +39,9 @@
 using namespace ns3;
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lte Ipv6 routing test case.
+ * @brief Lte Ipv6 routing test case.
  */
 class LteIpv6RoutingTestCase : public TestCase
 {
@@ -50,35 +50,35 @@
     ~LteIpv6RoutingTestCase() override;
 
     /**
-     * \brief Initialize testing parameters.
+     * @brief Initialize testing parameters.
      */
     void Checker();
 
     /**
-     * \brief sent Packets from client's IPv6 interface.
-     * \param p packet
-     * \param ipv6 Ipv6 object
-     * \param interface Ipv6interface from which the packet is transmitted
+     * @brief sent Packets from client's IPv6 interface.
+     * @param p packet
+     * @param ipv6 Ipv6 object
+     * @param interface Ipv6interface from which the packet is transmitted
      */
     void SentAtClient(Ptr<const Packet> p, Ptr<Ipv6> ipv6, uint32_t interface);
 
     /**
-     * \brief Received Packets at client's IPv6 interface.
-     * \param p packet
-     * \param ipv6 Ipv6 object
-     * \param interface Ipv6interface at which the packet is received
+     * @brief Received Packets at client's IPv6 interface.
+     * @param p packet
+     * @param ipv6 Ipv6 object
+     * @param interface Ipv6interface at which the packet is received
      */
     void ReceivedAtClient(Ptr<const Packet> p, Ptr<Ipv6> ipv6, uint32_t interface);
 
     /**
-     * \brief Received Packet at pgw from enb.
-     * \param p packet
+     * @brief Received Packet at pgw from enb.
+     * @param p packet
      */
     void EnbToPgw(Ptr<Packet> p);
 
     /**
-     * \brief Received Packet at pgw from enb.
-     * \param p packet
+     * @brief Received Packet at pgw from enb.
+     * @param p packet
      */
     void TunToPgw(Ptr<Packet> p);
 
@@ -311,8 +311,8 @@
     serverApps.Add(echoServer2.Install(ueNodes.Get(1)));
     serverApps.Add(echoServer3.Install(ueNodes.Get(2)));
 
-    serverApps.Start(Seconds(4.0));
-    serverApps.Stop(Seconds(12.0));
+    serverApps.Start(Seconds(4));
+    serverApps.Stop(Seconds(12));
 
     UdpEchoClientHelper echoClient1(m_remoteHostAddr, 10);
     UdpEchoClientHelper echoClient2(m_ueIpIface.GetAddress(1, 1), 11);
@@ -334,14 +334,14 @@
     ApplicationContainer clientApps2 = echoClient2.Install(ueNodes.Get(0));
     ApplicationContainer clientApps3 = echoClient3.Install(ueNodes.Get(0));
 
-    clientApps1.Start(Seconds(4.0));
-    clientApps1.Stop(Seconds(6.0));
+    clientApps1.Start(Seconds(4));
+    clientApps1.Stop(Seconds(6));
 
     clientApps2.Start(Seconds(6.1));
-    clientApps2.Stop(Seconds(8.0));
+    clientApps2.Stop(Seconds(8));
 
     clientApps3.Start(Seconds(8.1));
-    clientApps3.Stop(Seconds(10.0));
+    clientApps3.Stop(Seconds(10));
 
     // Set Cllback for Client Sent and Received packets
     Ptr<Ipv6L3Protocol> ipL3 = (ueNodes.Get(0))->GetObject<Ipv6L3Protocol>();
@@ -358,7 +358,7 @@
     appPgw->TraceConnectWithoutContext("RxFromTun",
                                        MakeCallback(&LteIpv6RoutingTestCase::TunToPgw, this));
 
-    Simulator::Schedule(Time(Seconds(12.0)), &LteIpv6RoutingTestCase::Checker, this);
+    Simulator::Schedule(Seconds(12), &LteIpv6RoutingTestCase::Checker, this);
 
     Simulator::Stop(Seconds(14));
     Simulator::Run();
@@ -367,7 +367,7 @@
 }
 
 /**
- * \brief test suite 1
+ * @brief test suite 1
  */
 class LteIpv6RoutingTestSuite : public TestSuite
 {
@@ -382,7 +382,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LteIpv6RoutingTestSuite g_lteipv6testsuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-link-adaptation.cc ns-3.44/src/lte/test/lte-test-link-adaptation.cc
--- ns-3.43/src/lte/test/lte-test-link-adaptation.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-link-adaptation.cc	2025-03-09 16:55:49.611372000 -0700
@@ -10,15 +10,15 @@
 
 #include "ns3/boolean.h"
 #include "ns3/double.h"
+#include "ns3/enum.h"
 #include "ns3/log.h"
+#include "ns3/lte-chunk-processor.h"
 #include "ns3/lte-helper.h"
 #include "ns3/lte-ue-net-device.h"
 #include "ns3/lte-ue-phy.h"
 #include "ns3/mobility-helper.h"
 #include "ns3/simulator.h"
 #include "ns3/string.h"
-#include <ns3/enum.h>
-#include <ns3/lte-chunk-processor.h>
 
 using namespace ns3;
 
@@ -95,7 +95,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LteLinkAdaptationTestSuite lteLinkAdaptationTestSuite;
